ZITADEL Docs
APIsCore ResourcesV2ZITADEL Internal Permissions

Delete Administrator

DeleteAdministrator revokes an administrator role from a user.

In case the administrator role is not found, the request will return a successful response as the desired state is already achieved. You can check the deletion date in the response to verify if the administrator role was deleted during the request.

Required permissions depend on the resource type:

  • "iam.member.delete" for instance administrators
  • "org.member.delete" for organization administrators
  • "project.member.delete" for project administrators
  • "project.grant.member.delete" for project grant administrators
POST
/zitadel.internal_permission.v2.InternalPermissionService/DeleteAdministrator

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.internal_permission.v2.InternalPermissionService/DeleteAdministrator" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "resource": {      "instance": true    }  }'
{
  "deletionDate": "2023-01-15T01:30:15.01Z"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?